package org.greenstone.gsdl3.gs3build.doctypes;


import java.io.*;
import java.net.*;
import java.util.ArrayList;

import org.greenstone.gsdl3.gs3build.metadata.*;

public class GMLRecogniser extends  AbstractRecogniser
{
    
    public GMLRecogniser()   { 
	this.preferred_mime_type = "text/xml";
	this.filename_extensions = new ArrayList();
	this.filename_extensions.add(".gml");
	this.document_type = GMLDocument.GML_DOCUMENT_TYPE;
    }
    
    
    public boolean parseDocument(URL url)
    { 
	String filename = null;
	if (url.getProtocol().equals("file")) {
	    filename = url.getPath();
	}
	if (filename != null) {
	    if (isAcceptedFilename(filename)) {
		
		System.out.println("Posting GML Document " + filename);
		GMLDocument doc = new GMLDocument(url);
		this.list_repository.addDocument(doc);
		// TODO: spawn knowledge of children too...
		// System.out.println(doc.getDocumentText());
		return true;
	    }
	} else {
	    // TODO: get Mime type remotely, and then proceed if required
	}
	return false;
    }
}
